Select connector resources
Store which listed items sync; each must be one the provider lists right now.
PUT
Store which listed items sync; each must be one the provider lists right now.
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidinstallation_id*Installation IdFormat
uuidapplication/json- body
selected?array<string>|Item IDs to sync. For a multiple selection, null or empty means every readable item. Otherwise exactly one.
site_id?|Switch a Veriom Atlassian app connection to another site its grant covers.
Successful Response
application/json- response
auth_mode*Auth Modecheckpoint*circuit_open_until*|nullconfig*consecutive_failures*Consecutive Failurescreated_at*Created AtFormat
date-timecredential_configured*Credential Configuredcredential_version*Credential Versioncursor*string|nulldefinition_key*Definition Keydisplay_name*Display Nameid*IdFormat
uuidinstalled_by*Installed ByFormat
uuidlast_error_category*string|nulllast_error_code*string|nulllast_synced_at*|nulllast_tested_at*|nullnext_sync_at*|nullowner_user_id*|nullpaused_at*|nullrevision*Revisionrevoked_at*|nullscopes*array<string>status*Statusupdated_at*Updated AtFormat
date-timeworkspace_id*Workspace IdFormat
uuidcurl -X PUT 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/connector-installations/497f6eca-6276-4993-bfeb-53cbbbba6f08/resources' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "auth_mode": "string", "checkpoint": {}, "circuit_open_until": "2019-08-24T14:15:22Z", "config": {}, "consecutive_failures": 0, "created_at": "2019-08-24T14:15:22Z", "credential_configured": true, "credential_version": 0, "cursor": "string", "definition_key": "string", "display_name": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "installed_by": "7ce86621-e8ba-4173-a3a1-53b48ad3100c", "last_error_category": "string", "last_error_code": "string", "last_synced_at": "2019-08-24T14:15:22Z", "last_tested_at": "2019-08-24T14:15:22Z", "next_sync_at": "2019-08-24T14:15:22Z", "owner_user_id": "65139110-7c3c-4777-b692-80c218be3b9d", "paused_at": "2019-08-24T14:15:22Z", "revision": 0, "revoked_at": "2019-08-24T14:15:22Z", "scopes": [ "string" ], "status": "string", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}